#!/bin/bash

CURRENT=$(realpath $(dirname $(readlink -f $0)))
MACH=$(echo ${0%.*} | awk -F - '{print $2}')
test -z "$toolchain" && toolchain=$CURRENT/scripts/toolchain.cmake

rm -rf build; mkdir build && cd build \
    && cmake $CURRENT -DCMAKE_TOOLCHAIN_FILE=$toolchain -DMACHINE=$MACH && make -j8
